#ifndef EVENTHANDLER_H_
#define EVENTHANDLER_H_

#include "Vertex.h"


class EventHandler {
  public:
    virtual ~EventHandler() {}
    
    virtual bool buttonPress(unsigned int button, const Vertex *v) {return false;}
    virtual bool buttonRelease(unsigned int button, const Vertex *v) {return false;}
    virtual bool motion(const Vertex *v) {return false;}
    virtual bool motion(const Vertex *v, float scale) {return motion(v);}
};

#endif /*EVENTHANDLER_H_*/
